#ifndef FIT_H
#define FIT_H

#include <stdio.h>
#include <gpx.h>
#include <stdlib.h>
#include <QString>
#include <QMessageBox>
#include "MathExt.h"
#include "FIT_converter/fit_convert.h"

class FIT
{
public:
    FIT(char* filename);
    void add_point(double lon, double lat, double h, long int time);
    double** get_complete(long int* n);
private:
    gpxlist** l;						//Hauptliste, um die sich alles dreht
};

#endif // FIT_H
